Faiss

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends
Public Member Functions | Public Attributes | List of all members
faiss::gpu::StackDeviceMemory::Range Struct Reference

`#include <StackDeviceMemory.h>`

## Public Member Functions
| Range (char *s, char *e, cudaStream_t str)

## Public Attributes
char * | start_
char * | end_
cudaStream_t | stream_

## Detailed Description

Previous allocation ranges and the streams for which synchronization is required

Definition at line 48 of file StackDeviceMemory.h.

The documentation for this struct was generated from the following file:

- /data/users/matthijs/github_faiss/faiss/gpu/utils/StackDeviceMemory.h